Subject: [Roll] Erik Kline's No Objection on draft-ietf-roll-unaware-leaves-26: (with COMMENT)

From: Erik Kline via Datatracker <[email-masked]>
Date: Wed, 16 Dec 2020 14:27:41 -0800

Erik Kline has entered the following ballot position for
draft-ietf-roll-unaware-leaves-26: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-roll-unaware-leaves/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(I reviewed -25, only skimmed the diff from -25 to -26)

[[ comments ]]

[ section 5.4 ]

* Another way to address non-zero segments left RH3s in
  useofrplinfo might be to add some text here saying they MUST
  be dropped and MAY send ICMPv6 error messages, and then
  point to this text.  Or just say that there's no change to
  the processing of these from existing documents. Or something.

[[ nits ]]

[ section 9.1 ]

* "to maintain the NCE ... alive" -> "to keep the NCE ... alive",
  I think

[ section 9.2 ]

* "ad serving" -> "and serving", probably

[ section 9.2.1 ]

* "signaled a 6CIO" -> "signaled by a 6CIO"

[ section 10 ]

* ". ." -> "."

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 17 Dec 2020 12:56:10 +0000

Hello Erik

Sorry for publishing in between; I try to be reactive to ensure that you get the most recent update to review.

In any case, a great many thanks for your review of this and useofrplinfo, good that you can do both at the same time since they are related.

I committed the diffs in https://github.com/roll-wg/roll-unaware-leaves/commit/a2ac00f7f9ccbc67d752ebd81767a984c3f03202 and plan to publish 27 later today with additional review comments incorporated.

I'd rather have useofrplinfo be the reference in general, because it deals with all use cases including RULs.
For this matter though, we do not change a thing from RFC 8200; so both texts can point there.

I added a quote from RFC 8200, without the normative aspect, as follows:
"

   When the Segments Left is non-zero, the RUL discards the packet and
   send an ICMP Parameter Problem, Code 0, message to the packet's
   Source Address, pointing to the unrecognized Routing Type.

"
> [[ nits ]]

All done!

Many thanks again, Erik!

Pascal